<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_b80082ca5a90f5584462ab6" . "18a2fe9f7" => base64_decode("SW5zdGFsbGluZyBh" . "cHBsaWNhdGlvbiBp" . "bnN0ZWFk"), "_e13e80e20d331face5f" . "56ce9d9be42cd" => base64_decode("cmVzdG9yZV9lcnJvcl9oYW5k" . "bGVy"), "_dcf86ccc31af7f63af361" . "15aa12b1ee7" => base64_decode("Y2hkaXI" . "="), "_7618fa2e44dd7c2de26e" . "d1413b53cddd" => base64_decode("Ly4uLy4uLy4uL3NldHV" . "w"), "_eb3d186008f632a0f30f" . "9ceb2ecf5d9c" => base64_decode("cmVjb" . "3Zlcg" . "=="), "_9342063570b40df2075204394b59df" . "59" => base64_decode("Z2" . "V0" . "Y3" . "dk"), "_11def3af" . "2a833468d" . "d0e4ff1f0" . "bc5414" => base64_decode("Li4vY29yZS9ib290c3RyYXAu" . "cGhw"), "_dda96eb36c5664b9" . "e2bd434a776edb25" => base64_decode("L1BoaW5nTG" . "9nZ2VyLnBo" . "cA=="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dda96eb36c5664b9e2bd434a776e" . "db25"];
use Claromentis\Setup\Exception\NotInstalledException;
use Claromentis\Setup\Util;




class DbUpdateTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9342063570b40df2075204394b5" . "9df59"]();
        $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dcf86ccc31af7f" . "63af36115aa12b1" . "ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7618fa2e44dd7c2de26ed1" . "413b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_11def3af2a8334" . "68dd0e4ff1f0bc5" . "414"];
        $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e13e80e20d331face5f56" . "ce9d9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Update();
            } catch (NotInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_eb3d186008f632a0f30f9ceb2ecf5d9" . "c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_b80082ca5a90f" . "5584462ab618a2" . "fe9f7"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Install();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_dcf86ccc31af7f63a" . "f36115aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dcf86ccc31af7f63af361" . "15aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}